unit repform;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DBTables, DB, QuickRpt, ExtCtrls, QRCtrls;

type
  TDisplayfrm = class(TForm)
    QuickRep1: TQuickRep;
    DetailBand1: TQRBand;
    custQuery: TQuery;
    custTable: TTable;
    QRLabel1: TQRLabel;
    QRLabel2: TQRLabel;
    procedure QuickRep1NeedData(Sender: TObject; var MoreData: Boolean);
    procedure QuickRep1BeforePrint(Sender: TCustomQuickRep;
      var PrintReport: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Displayfrm: TDisplayfrm;
  numRepeats : integer;
  repNum : integer;

implementation

{$R *.dfm}

procedure TDisplayfrm.QuickRep1NeedData(Sender: TObject;
  var MoreData: Boolean);
begin
      qrlabel1.Caption := custquery.Fieldbyname('Company').AsString;
      moreData := repNum < numRepeats;
      inc( repNum);
end;

procedure TDisplayfrm.QuickRep1BeforePrint(Sender: TCustomQuickRep;
  var PrintReport: Boolean);
begin
      repNum := 0;
end;

end.
